
# Class: expression


general mixin for any class that can represent some form of expression

URI: [linkml:Expression](https://w3id.org/linkml/Expression)


[![img](images/Expression.svg)](images/Expression.svg)

## Children

 * [SlotExpression](SlotExpression.md) - an expression that constrains the range of values a slot can take
 * [TypeExpression](TypeExpression.md)

## Mixin for

 * [AnonymousExpression](AnonymousExpression.md) (mixin) 
 * [PathExpression](PathExpression.md) (mixin)  - An expression that describes an abstract path from an object to another through a sequence of slot lookups
 * [StructuredAlias](StructuredAlias.md) (mixin)  - object that contains meta data about a synonym or alias including where it came from (source) and its scope (narrow, broad, etc.)

## Referenced by Class

 *  **None** *[all_of](all_of.md)*  <sub>0..\*</sub>  **[Expression](Expression.md)**
 *  **None** *[any_of](any_of.md)*  <sub>0..\*</sub>  **[Expression](Expression.md)**
 *  **None** *[boolean_slot](boolean_slot.md)*  <sub>0..\*</sub>  **[Expression](Expression.md)**
 *  **None** *[exactly_one_of](exactly_one_of.md)*  <sub>0..\*</sub>  **[Expression](Expression.md)**
 *  **None** *[followed_by](followed_by.md)*  <sub>0..1</sub>  **[Expression](Expression.md)**
 *  **None** *[none_of](none_of.md)*  <sub>0..\*</sub>  **[Expression](Expression.md)**

## Attributes

