
# Class: pathological entity mixin


A pathological (abnormal) structure or process.

URI: [biolink:PathologicalEntityMixin](https://w3id.org/biolink/vocab/PathologicalEntityMixin)


[![img](https://yuml.me/diagram/nofunky;dir:TB/class/[PathologicalProcess]uses%20-.->[PathologicalEntityMixin],[PathologicalAnatomicalStructure]uses%20-.->[PathologicalEntityMixin],[DiseaseOrPhenotypicFeatureExposure]uses%20-.->[PathologicalEntityMixin],[PathologicalProcess],[PathologicalAnatomicalStructure],[DiseaseOrPhenotypicFeatureExposure])](https://yuml.me/diagram/nofunky;dir:TB/class/[PathologicalProcess]uses%20-.->[PathologicalEntityMixin],[PathologicalAnatomicalStructure]uses%20-.->[PathologicalEntityMixin],[DiseaseOrPhenotypicFeatureExposure]uses%20-.->[PathologicalEntityMixin],[PathologicalProcess],[PathologicalAnatomicalStructure],[DiseaseOrPhenotypicFeatureExposure])

## Mixin for

 * [DiseaseOrPhenotypicFeatureExposure](DiseaseOrPhenotypicFeatureExposure.md) (mixin)  - A disease or phenotypic feature state, when viewed as an exposure, represents an precondition, leading to or influencing an outcome, e.g. HIV predisposing an individual to infections; a relative deficiency of skin pigmentation predisposing an individual to skin cancer.
 * [PathologicalAnatomicalStructure](PathologicalAnatomicalStructure.md) (mixin)  - An anatomical structure with the potential of have an abnormal or deleterious effect at the subcellular, cellular, multicellular, or organismal level.
 * [PathologicalProcess](PathologicalProcess.md) (mixin)  - A biologic function or a process having an abnormal or deleterious effect at the subcellular, cellular, multicellular, or organismal level.

## Referenced by Class


## Attributes


## Other properties

|  |  |  |
| --- | --- | --- |
| **Exact Mappings:** | | MPATH:0 |
| **Narrow Mappings:** | | HP:0000118 |

