
# Slot: has attribute


connects any entity to an attribute

URI: [biolink:clinical_finding_has_attribute](https://w3id.org/biolink/vocab/clinical_finding_has_attribute)


## Domain and Range

[ClinicalFinding](ClinicalFinding.md) &#8594;  <sub>0..\*</sub> [ClinicalAttribute](ClinicalAttribute.md)

## Parents

 *  is_a: [has attribute](has_attribute.md)

## Children


## Used by

 * [ClinicalFinding](ClinicalFinding.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **In Subsets:** | | samples |
| **Exact Mappings:** | | SIO:000008 |
| **Close Mappings:** | | OBI:0001927 |
| **Narrow Mappings:** | | OBAN:association_has_subject_property |
|  | | OBAN:association_has_object_property |
|  | | CPT:has_possibly_included_panel_element |
|  | | DRUGBANK:category |
|  | | EFO:is_executed_in |
|  | | HANCESTRO:0301 |
|  | | LOINC:has_action_guidance |
|  | | LOINC:has_adjustment |
|  | | LOINC:has_aggregation_view |
|  | | LOINC:has_approach_guidance |
|  | | LOINC:has_divisor |
|  | | LOINC:has_exam |
|  | | LOINC:has_method |
|  | | LOINC:has_modality_subtype |
|  | | LOINC:has_object_guidance |
|  | | LOINC:has_scale |
|  | | LOINC:has_suffix |
|  | | LOINC:has_time_aspect |
|  | | LOINC:has_time_modifier |
|  | | LOINC:has_timing_of |
|  | | NCIT:disease_is_grade |
|  | | NCIT:disease_is_stage |
|  | | NCIT:eo_disease_has_property_or_attribute |
|  | | NCIT:has_data_element |
|  | | NCIT:has_pharmaceutical_administration_method |
|  | | NCIT:has_pharmaceutical_basic_dose_form |
|  | | NCIT:has_pharmaceutical_intended_site |
|  | | NCIT:has_pharmaceutical_release_characteristics |
|  | | NCIT:has_pharmaceutical_state_of_matter |
|  | | NCIT:has_pharmaceutical_transformation |
|  | | NCIT:is_qualified_by |
|  | | NCIT:qualifier_applies_to |
|  | | NCIT:role_has_domain |
|  | | NCIT:role_has_range |
|  | | INO:0000154 |
|  | | HANCESTRO:0308 |
|  | | OMIM:has_inheritance_type |
|  | | ORPHA:C016 |
|  | | ORPHA:C017 |
|  | | RO:0000053 |
|  | | RO:0000086 |
|  | | RO:0000087 |
|  | | SNOMED:has_access |
|  | | SNOMED:has_clinical_course |
|  | | SNOMED:has_count_of_base_of_active_ingredient |
|  | | SNOMED:has_dose_form_administration_method |
|  | | SNOMED:has_dose_form_release_characteristic |
|  | | SNOMED:has_dose_form_transformation |
|  | | SNOMED:has_finding_context |
|  | | SNOMED:has_finding_informer |
|  | | SNOMED:has_inherent_attribute |
|  | | SNOMED:has_intent |
|  | | SNOMED:has_interpretation |
|  | | SNOMED:has_laterality |
|  | | SNOMED:has_measurement_method |
|  | | SNOMED:has_method |
|  | | SNOMED:has_priority |
|  | | SNOMED:has_procedure_context |
|  | | SNOMED:has_process_duration |
|  | | SNOMED:has_property |
|  | | SNOMED:has_revision_status |
|  | | SNOMED:has_scale_type |
|  | | SNOMED:has_severity |
|  | | SNOMED:has_specimen |
|  | | SNOMED:has_state_of_matter |
|  | | SNOMED:has_subject_relationship_context |
|  | | SNOMED:has_surgical_approach |
|  | | SNOMED:has_technique |
|  | | SNOMED:has_temporal_context |
|  | | SNOMED:has_time_aspect |
|  | | SNOMED:has_units |
|  | | UMLS:has_structural_class |
|  | | UMLS:has_supported_concept_property |
|  | | UMLS:has_supported_concept_relationship |
|  | | UMLS:may_be_qualified_by |

