
# Slot: coexists with


holds between two entities that are co-located in the same aggregate object, process, or spatio-temporal region

URI: [biolink:coexists_with](https://w3id.org/biolink/vocab/coexists_with)


## Domain and Range

[NamedThing](NamedThing.md) &#8594;  <sub>0..\*</sub> [NamedThing](NamedThing.md)

## Parents

 *  is_a: [related to](related_to.md)

## Children

 *  [colocalizes with](colocalizes_with.md)
 *  [in cell population with](in_cell_population_with.md)
 *  [in complex with](in_complex_with.md)
 *  [in pathway with](in_pathway_with.md)

## Used by


## Other properties

|  |  |  |
| --- | --- | --- |
| **In Subsets:** | | translator_minimal |
| **Exact Mappings:** | | SEMMEDDB:COEXISTS_WITH |
|  | | SEMMEDDB:coexists_with |
| **Narrow Mappings:** | | BSPO:0000096 |
|  | | BSPO:0000097 |
|  | | BSPO:0000098 |
|  | | BSPO:0000099 |
|  | | BSPO:0000100 |
|  | | BSPO:0000102 |
|  | | BSPO:0000104 |
|  | | BSPO:0000110 |
|  | | BSPO:0000113 |
|  | | BSPO:0015001 |
|  | | BSPO:0015002 |
|  | | BSPO:0015003 |
|  | | BSPO:0015005 |
|  | | BSPO:0015006 |
|  | | BSPO:0015007 |
|  | | BSPO:0015008 |
|  | | BSPO:0015009 |
|  | | BSPO:0015012 |
|  | | BSPO:0015014 |
|  | | BSPO:parallel_to |
|  | | UBERON_CORE:anastomoses_with |
|  | | UBERON_CORE:anteriorly_connected_to |
|  | | UBERON_CORE:posteriorly_connected_to |
|  | | UBERON_CORE:channel_for |
|  | | UBERON_CORE:channels_from |
|  | | UBERON_CORE:channels_into |
|  | | UBERON_CORE:conduit_for |
|  | | UBERON_CORE:distally_connected_to |
|  | | UBERON_CORE:extends_fibers_into |
|  | | UBERON_CORE:filtered_through |
|  | | UBERON_CORE:indirectly_supplies |
|  | | UBERON_CORE:proximally_connected_to |
|  | | UBERON_CORE:synapsed_by |
|  | | UBERON_CORE:transitively_anteriorly_connected_to |
|  | | UBERON_CORE:transitively_connected_to |
|  | | UBERON_CORE:transitively_distally_connected_to |
|  | | UBERON_CORE:transitively_proximally_connected_to |
|  | | ENVO:01001307 |
|  | | FMA:adjacent_to |
|  | | FMA:afferent_to |
|  | | FMA:anterior_to |
|  | | FMA:anteroinferior_to |
|  | | FMA:anterolateral_to |
|  | | FMA:anteromedial_to |
|  | | FMA:anterosuperior_to |
|  | | FMA:arterial_supply_of |
|  | | FMA:has_arterial_supply |
|  | | FMA:articulates_with |
|  | | FMA:attaches_to |
|  | | FMA:bounded_by |
|  | | FMA:bounds |
|  | | FMA:branch_of |
|  | | FMA:connection_type_of |
|  | | FMA:continuation_branch_of |
|  | | FMA:continuous_distally_with |
|  | | FMA:continuous_proximally_with |
|  | | FMA:corresponds_to |
|  | | FMA:development_type_of |
|  | | FMA:developmental_stage_of |
|  | | FMA:direct_cell_shape_of |
|  | | FMA:direct_left_of |
|  | | FMA:direct_right_of |
|  | | FMA:distal_to |
|  | | FMA:drains_into |
|  | | FMA:efferent_to |
|  | | FMA:external_to |
|  | | FMA:formed_by |
|  | | FMA:forms |
|  | | FMA:full_grown_phenotype_of |
|  | | FMA:has_full_grown_phenotype |
|  | | FMA:fuses_with |
|  | | FMA:fusion_of |
|  | | FMA:has_fusion |
|  | | FMA:germ_origin_of |
|  | | FMA:has_germ_origin |
|  | | FMA:has_adherent |
|  | | FMA:has_branch |
|  | | FMA:has_connection_type |
|  | | FMA:has_continuation_branch |
|  | | FMA:has_development_type |
|  | | FMA:has_developmental_stage |
|  | | FMA:has_direct_cell_shape |
|  | | FMA:has_inherent_3d_shape |
|  | | FMA:has_insertion |
|  | | FMA:has_lymphatic_drainage |
|  | | FMA:has_nerve_supply |
|  | | FMA:has_observed_anatomical_entity |
|  | | FMA:has_origin |
|  | | FMA:has_primary_segmental_supply |
|  | | FMA:has_projection |
|  | | FMA:has_regional_part |
|  | | FMA:has_related_developmental_entity |
|  | | FMA:has_secondary_segmental_supply |
|  | | FMA:has_segmental_composition |
|  | | FMA:has_segmental_supply |
|  | | FMA:has_tributary |
|  | | FMA:has_venous_drainage |
|  | | FMA:inferior_to |
|  | | FMA:inferolateral_to |
|  | | FMA:inferomedial_to |
|  | | FMA:inherent_3d_shape_of |
|  | | FMA:insertion_of |
|  | | FMA:internal_to |
|  | | FMA:lateral_to |
|  | | FMA:left_lateral_to |
|  | | FMA:left_medial_to |
|  | | FMA:lymphatic_drainage_of |
|  | | FMA:matures_from |
|  | | FMA:matures_into |
|  | | FMA:medial_to |
|  | | FMA:merges_with |
|  | | FMA:nerve_supply_of |
|  | | FMA:origin_of |
|  | | FMA:posterior_to |
|  | | FMA:posteroinferior_to |
|  | | FMA:posterolateral_to |
|  | | FMA:posteromedial_to |
|  | | FMA:posterosuperior_to |
|  | | FMA:primary_segmental_supply_of |
|  | | FMA:projects_from |
|  | | FMA:projects_to |
|  | | FMA:proximal_to |
|  | | FMA:receives_attachment_from |
|  | | FMA:receives_drainage_from |
|  | | FMA:receives_input_from |
|  | | FMA:receives_projection |
|  | | FMA:related_part |
|  | | FMA:right_lateral_to |
|  | | FMA:right_medial_to |
|  | | FMA:secondary_segmental_supply_of |
|  | | FMA:segmental_composition_of |
|  | | FMA:segmental_supply_of |
|  | | FMA:sends_output_to |
|  | | FMA:superior_to |
|  | | FMA:superolateral_to |
|  | | FMA:superomedial_to |
|  | | FMA:surrounded_by |
|  | | FMA:surrounds |
|  | | FMA:tributary_of |
|  | | FMA:venous_drainage_of |
|  | | LOINC:has_lateral_anatomic_location |
|  | | LOINC:has_lateral_location_presence |
|  | | OBO:core#distally_connected_to |
|  | | OBO:core#subdivision_of |
|  | | RO:0002219 |
|  | | RO:0002220 |
|  | | RO:0002221 |
|  | | SO:has_origin |
|  | | UBERON:anastomoses_with |
|  | | UBERON:anteriorly_connected_to |
|  | | UBERON:channel_for |
|  | | UBERON:channels_from |
|  | | UBERON:channels_into |
|  | | UBERON:conduit_for |
|  | | UBERON:distally_connected_to |
|  | | UBERON:existence_starts_and_ends_during |
|  | | UBERON:extends_fibers_into |
|  | | UBERON:filtered_through |
|  | | UBERON:in_central_side_of |
|  | | UBERON:in_innermost_side_of |
|  | | UBERON:in_outermost_side_of |
|  | | UBERON:indirectly_supplies |
|  | | UBERON:posteriorly_connected_to |
|  | | UBERON:protects |
|  | | UBERON:proximally_connected_to |
|  | | UBERON:sexually_homologous_to |

