
# Slot: subject


connects an association to the subject of the association. For example, in a gene-to-phenotype association, the gene is subject and phenotype is object.

URI: [biolink:exon_to_transcript_relationship_subject](https://w3id.org/biolink/vocab/exon_to_transcript_relationship_subject)


## Domain and Range

[ExonToTranscriptRelationship](ExonToTranscriptRelationship.md) &#8594;  <sub>1..1</sub> [Exon](Exon.md)

## Parents

 *  is_a: [sequence feature relationship➞subject](sequence_feature_relationship_subject.md)

## Children


## Used by

 * [ExonToTranscriptRelationship](ExonToTranscriptRelationship.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Local names:** | | annotation subject (ga4gh) |
|  | | node with outgoing relationship (neo4j) |
| **Mappings:** | | rdf:subject |
| **Exact Mappings:** | | owl:annotatedSource |
|  | | OBAN:association_has_subject |

