
# Slot: has attribute


connects any entity to an attribute

URI: [biolink:has_attribute](https://w3id.org/biolink/vocab/has_attribute)


## Domain and Range

[Entity](Entity.md) &#8594;  <sub>0..\*</sub> [Attribute](Attribute.md)

## Parents


## Children

 *  [clinical finding➞has attribute](clinical_finding_has_attribute.md)
 *  [organismal entity➞has attribute](organismal_entity_has_attribute.md)
 *  [socioeconomic exposure➞has attribute](socioeconomic_exposure_has_attribute.md)

## Used by

 * [RNAProduct](RNAProduct.md)
 * [RNAProductIsoform](RNAProductIsoform.md)
 * [Activity](Activity.md)
 * [AdministrativeEntity](AdministrativeEntity.md)
 * [Agent](Agent.md)
 * [AnatomicalEntityToAnatomicalEntityAssociation](AnatomicalEntityToAnatomicalEntityAssociation.md)
 * [AnatomicalEntityToAnatomicalEntityOntogenicAssociation](AnatomicalEntityToAnatomicalEntityOntogenicAssociation.md)
 * [AnatomicalEntityToAnatomicalEntityPartOfAssociation](AnatomicalEntityToAnatomicalEntityPartOfAssociation.md)
 * [Article](Article.md)
 * [Association](Association.md)
 * [Behavior](Behavior.md)
 * [BehaviorToBehavioralFeatureAssociation](BehaviorToBehavioralFeatureAssociation.md)
 * [BehavioralExposure](BehavioralExposure.md)
 * [BehavioralFeature](BehavioralFeature.md)
 * [BehavioralOutcome](BehavioralOutcome.md)
 * [BiologicalEntity](BiologicalEntity.md)
 * [BiologicalProcess](BiologicalProcess.md)
 * [BiologicalProcessOrActivity](BiologicalProcessOrActivity.md)
 * [BioticExposure](BioticExposure.md)
 * [Book](Book.md)
 * [BookChapter](BookChapter.md)
 * [Carbohydrate](Carbohydrate.md)
 * [CaseToPhenotypicFeatureAssociation](CaseToPhenotypicFeatureAssociation.md)
 * [CellLineAsAModelOfDiseaseAssociation](CellLineAsAModelOfDiseaseAssociation.md)
 * [CellLineToDiseaseOrPhenotypicFeatureAssociation](CellLineToDiseaseOrPhenotypicFeatureAssociation.md)
 * [ChemicalExposure](ChemicalExposure.md)
 * [ChemicalSubstance](ChemicalSubstance.md)
 * [ChemicalToChemicalAssociation](ChemicalToChemicalAssociation.md)
 * [ChemicalToChemicalDerivationAssociation](ChemicalToChemicalDerivationAssociation.md)
 * [ChemicalToDiseaseOrPhenotypicFeatureAssociation](ChemicalToDiseaseOrPhenotypicFeatureAssociation.md)
 * [ChemicalToGeneAssociation](ChemicalToGeneAssociation.md)
 * [ChemicalToPathwayAssociation](ChemicalToPathwayAssociation.md)
 * [ClinicalEntity](ClinicalEntity.md)
 * [ClinicalIntervention](ClinicalIntervention.md)
 * [ClinicalTrial](ClinicalTrial.md)
 * [CodingSequence](CodingSequence.md)
 * [ComplexChemicalExposure](ComplexChemicalExposure.md)
 * [ConfidenceLevel](ConfidenceLevel.md)
 * [ContributorAssociation](ContributorAssociation.md)
 * [Dataset](Dataset.md)
 * [DatasetDistribution](DatasetDistribution.md)
 * [DatasetSummary](DatasetSummary.md)
 * [DatasetVersion](DatasetVersion.md)
 * [Death](Death.md)
 * [Device](Device.md)
 * [Disease](Disease.md)
 * [DiseaseOrPhenotypicFeature](DiseaseOrPhenotypicFeature.md)
 * [DiseaseOrPhenotypicFeatureAssociationToLocationAssociation](DiseaseOrPhenotypicFeatureAssociationToLocationAssociation.md)
 * [DiseaseOrPhenotypicFeatureExposure](DiseaseOrPhenotypicFeatureExposure.md)
 * [DiseaseOrPhenotypicFeatureOutcome](DiseaseOrPhenotypicFeatureOutcome.md)
 * [DiseaseOrPhenotypicFeatureToLocationAssociation](DiseaseOrPhenotypicFeatureToLocationAssociation.md)
 * [DiseaseToExposureEventAssociation](DiseaseToExposureEventAssociation.md)
 * [DiseaseToPhenotypicFeatureAssociation](DiseaseToPhenotypicFeatureAssociation.md)
 * [Drug](Drug.md)
 * [DrugExposure](DrugExposure.md)
 * [DrugToGeneAssociation](DrugToGeneAssociation.md)
 * [DrugToGeneInteractionExposure](DrugToGeneInteractionExposure.md)
 * [Entity](Entity.md)
 * [EnvironmentalExposure](EnvironmentalExposure.md)
 * [EnvironmentalFeature](EnvironmentalFeature.md)
 * [EnvironmentalFoodContaminant](EnvironmentalFoodContaminant.md)
 * [EnvironmentalProcess](EnvironmentalProcess.md)
 * [EpidemiologicalOutcome](EpidemiologicalOutcome.md)
 * [EvidenceType](EvidenceType.md)
 * [Exon](Exon.md)
 * [ExonToTranscriptRelationship](ExonToTranscriptRelationship.md)
 * [ExposureEventToOutcomeAssociation](ExposureEventToOutcomeAssociation.md)
 * [ExposureEventToPhenotypicFeatureAssociation](ExposureEventToPhenotypicFeatureAssociation.md)
 * [Food](Food.md)
 * [FoodAdditive](FoodAdditive.md)
 * [FoodComponent](FoodComponent.md)
 * [FunctionalAssociation](FunctionalAssociation.md)
 * [Gene](Gene.md)
 * [GeneAsAModelOfDiseaseAssociation](GeneAsAModelOfDiseaseAssociation.md)
 * [GeneFamily](GeneFamily.md)
 * [GeneHasVariantThatContributesToDiseaseAssociation](GeneHasVariantThatContributesToDiseaseAssociation.md)
 * [GeneRegulatoryRelationship](GeneRegulatoryRelationship.md)
 * [GeneToDiseaseAssociation](GeneToDiseaseAssociation.md)
 * [GeneToExpressionSiteAssociation](GeneToExpressionSiteAssociation.md)
 * [GeneToGeneAssociation](GeneToGeneAssociation.md)
 * [GeneToGeneCoexpressionAssociation](GeneToGeneCoexpressionAssociation.md)
 * [GeneToGeneHomologyAssociation](GeneToGeneHomologyAssociation.md)
 * [GeneToGeneProductRelationship](GeneToGeneProductRelationship.md)
 * [GeneToGoTermAssociation](GeneToGoTermAssociation.md)
 * [GeneToPhenotypicFeatureAssociation](GeneToPhenotypicFeatureAssociation.md)
 * [Genome](Genome.md)
 * [GenomicBackgroundExposure](GenomicBackgroundExposure.md)
 * [GenomicEntity](GenomicEntity.md)
 * [GenomicSequenceLocalization](GenomicSequenceLocalization.md)
 * [Genotype](Genotype.md)
 * [GenotypeAsAModelOfDiseaseAssociation](GenotypeAsAModelOfDiseaseAssociation.md)
 * [GenotypeToDiseaseAssociation](GenotypeToDiseaseAssociation.md)
 * [GenotypeToGeneAssociation](GenotypeToGeneAssociation.md)
 * [GenotypeToGenotypePartAssociation](GenotypeToGenotypePartAssociation.md)
 * [GenotypeToPhenotypicFeatureAssociation](GenotypeToPhenotypicFeatureAssociation.md)
 * [GenotypeToVariantAssociation](GenotypeToVariantAssociation.md)
 * [GeographicExposure](GeographicExposure.md)
 * [GeographicLocation](GeographicLocation.md)
 * [GeographicLocationAtTime](GeographicLocationAtTime.md)
 * [Haplotype](Haplotype.md)
 * [Hospitalization](Hospitalization.md)
 * [HospitalizationOutcome](HospitalizationOutcome.md)
 * [InformationContentEntity](InformationContentEntity.md)
 * [MacromolecularMachineToBiologicalProcessAssociation](MacromolecularMachineToBiologicalProcessAssociation.md)
 * [MacromolecularMachineToCellularComponentAssociation](MacromolecularMachineToCellularComponentAssociation.md)
 * [MacromolecularMachineToMolecularActivityAssociation](MacromolecularMachineToMolecularActivityAssociation.md)
 * [Macronutrient](Macronutrient.md)
 * [MaterialSample](MaterialSample.md)
 * [MaterialSampleDerivationAssociation](MaterialSampleDerivationAssociation.md)
 * [MaterialSampleToDiseaseOrPhenotypicFeatureAssociation](MaterialSampleToDiseaseOrPhenotypicFeatureAssociation.md)
 * [Metabolite](Metabolite.md)
 * [MicroRNA](MicroRNA.md)
 * [Micronutrient](Micronutrient.md)
 * [MolecularActivity](MolecularActivity.md)
 * [MolecularEntity](MolecularEntity.md)
 * [MortalityOutcome](MortalityOutcome.md)
 * [NamedThing](NamedThing.md)
 * [NoncodingRNAProduct](NoncodingRNAProduct.md)
 * [Nutrient](Nutrient.md)
 * [OrganismTaxon](OrganismTaxon.md)
 * [OrganismTaxonToEnvironmentAssociation](OrganismTaxonToEnvironmentAssociation.md)
 * [OrganismTaxonToOrganismTaxonAssociation](OrganismTaxonToOrganismTaxonAssociation.md)
 * [OrganismTaxonToOrganismTaxonInteraction](OrganismTaxonToOrganismTaxonInteraction.md)
 * [OrganismTaxonToOrganismTaxonSpecialization](OrganismTaxonToOrganismTaxonSpecialization.md)
 * [OrganismalEntityAsAModelOfDiseaseAssociation](OrganismalEntityAsAModelOfDiseaseAssociation.md)
 * [PairwiseGeneToGeneInteraction](PairwiseGeneToGeneInteraction.md)
 * [PairwiseMolecularInteraction](PairwiseMolecularInteraction.md)
 * [PathologicalProcess](PathologicalProcess.md)
 * [PathologicalProcessExposure](PathologicalProcessExposure.md)
 * [PathologicalProcessOutcome](PathologicalProcessOutcome.md)
 * [Pathway](Pathway.md)
 * [Phenomenon](Phenomenon.md)
 * [PhenotypicFeature](PhenotypicFeature.md)
 * [PhysicalEntity](PhysicalEntity.md)
 * [PhysiologicalProcess](PhysiologicalProcess.md)
 * [PlanetaryEntity](PlanetaryEntity.md)
 * [PopulationToPopulationAssociation](PopulationToPopulationAssociation.md)
 * [Procedure](Procedure.md)
 * [ProcessedMaterial](ProcessedMaterial.md)
 * [Protein](Protein.md)
 * [ProteinIsoform](ProteinIsoform.md)
 * [Publication](Publication.md)
 * [ReagentTargetedGene](ReagentTargetedGene.md)
 * [SequenceAssociation](SequenceAssociation.md)
 * [SequenceFeatureRelationship](SequenceFeatureRelationship.md)
 * [SequenceVariant](SequenceVariant.md)
 * [SequenceVariantModulatesTreatmentAssociation](SequenceVariantModulatesTreatmentAssociation.md)
 * [Serial](Serial.md)
 * [SiRNA](SiRNA.md)
 * [Snv](Snv.md)
 * [SocioeconomicOutcome](SocioeconomicOutcome.md)
 * [Transcript](Transcript.md)
 * [TranscriptToGeneRelationship](TranscriptToGeneRelationship.md)
 * [Treatment](Treatment.md)
 * [VariantAsAModelOfDiseaseAssociation](VariantAsAModelOfDiseaseAssociation.md)
 * [VariantToDiseaseAssociation](VariantToDiseaseAssociation.md)
 * [VariantToGeneAssociation](VariantToGeneAssociation.md)
 * [VariantToGeneExpressionAssociation](VariantToGeneExpressionAssociation.md)
 * [VariantToPhenotypicFeatureAssociation](VariantToPhenotypicFeatureAssociation.md)
 * [VariantToPopulationAssociation](VariantToPopulationAssociation.md)
 * [Vitamin](Vitamin.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **In Subsets:** | | samples |
| **Exact Mappings:** | | SIO:000008 |
| **Close Mappings:** | | OBI:0001927 |
| **Narrow Mappings:** | | OBAN:association_has_subject_property |
|  | | OBAN:association_has_object_property |
|  | | CPT:has_possibly_included_panel_element |
|  | | DRUGBANK:category |
|  | | EFO:is_executed_in |
|  | | HANCESTRO:0301 |
|  | | LOINC:has_action_guidance |
|  | | LOINC:has_adjustment |
|  | | LOINC:has_aggregation_view |
|  | | LOINC:has_approach_guidance |
|  | | LOINC:has_divisor |
|  | | LOINC:has_exam |
|  | | LOINC:has_method |
|  | | LOINC:has_modality_subtype |
|  | | LOINC:has_object_guidance |
|  | | LOINC:has_scale |
|  | | LOINC:has_suffix |
|  | | LOINC:has_time_aspect |
|  | | LOINC:has_time_modifier |
|  | | LOINC:has_timing_of |
|  | | NCIT:disease_is_grade |
|  | | NCIT:disease_is_stage |
|  | | NCIT:eo_disease_has_property_or_attribute |
|  | | NCIT:has_data_element |
|  | | NCIT:has_pharmaceutical_administration_method |
|  | | NCIT:has_pharmaceutical_basic_dose_form |
|  | | NCIT:has_pharmaceutical_intended_site |
|  | | NCIT:has_pharmaceutical_release_characteristics |
|  | | NCIT:has_pharmaceutical_state_of_matter |
|  | | NCIT:has_pharmaceutical_transformation |
|  | | NCIT:is_qualified_by |
|  | | NCIT:qualifier_applies_to |
|  | | NCIT:role_has_domain |
|  | | NCIT:role_has_range |
|  | | INO:0000154 |
|  | | HANCESTRO:0308 |
|  | | OMIM:has_inheritance_type |
|  | | ORPHA:C016 |
|  | | ORPHA:C017 |
|  | | RO:0000053 |
|  | | RO:0000086 |
|  | | RO:0000087 |
|  | | SNOMED:has_access |
|  | | SNOMED:has_clinical_course |
|  | | SNOMED:has_count_of_base_of_active_ingredient |
|  | | SNOMED:has_dose_form_administration_method |
|  | | SNOMED:has_dose_form_release_characteristic |
|  | | SNOMED:has_dose_form_transformation |
|  | | SNOMED:has_finding_context |
|  | | SNOMED:has_finding_informer |
|  | | SNOMED:has_inherent_attribute |
|  | | SNOMED:has_intent |
|  | | SNOMED:has_interpretation |
|  | | SNOMED:has_laterality |
|  | | SNOMED:has_measurement_method |
|  | | SNOMED:has_method |
|  | | SNOMED:has_priority |
|  | | SNOMED:has_procedure_context |
|  | | SNOMED:has_process_duration |
|  | | SNOMED:has_property |
|  | | SNOMED:has_revision_status |
|  | | SNOMED:has_scale_type |
|  | | SNOMED:has_severity |
|  | | SNOMED:has_specimen |
|  | | SNOMED:has_state_of_matter |
|  | | SNOMED:has_subject_relationship_context |
|  | | SNOMED:has_surgical_approach |
|  | | SNOMED:has_technique |
|  | | SNOMED:has_temporal_context |
|  | | SNOMED:has_time_aspect |
|  | | SNOMED:has_units |
|  | | UMLS:has_structural_class |
|  | | UMLS:has_supported_concept_property |
|  | | UMLS:has_supported_concept_relationship |
|  | | UMLS:may_be_qualified_by |

