
# Slot: subject


connects an association to the subject of the association. For example, in a gene-to-phenotype association, the gene is subject and phenotype is object.

URI: [biolink:organism_taxon_to_organism_taxon_association_subject](https://w3id.org/biolink/vocab/organism_taxon_to_organism_taxon_association_subject)


## Domain and Range

[OrganismTaxonToOrganismTaxonAssociation](OrganismTaxonToOrganismTaxonAssociation.md) &#8594;  <sub>1..1</sub> [OrganismTaxon](OrganismTaxon.md)

## Parents

 *  is_a: [subject](subject.md)

## Children

 *  [organism taxon to organism taxon interaction➞subject](organism_taxon_to_organism_taxon_interaction_subject.md)
 *  [organism taxon to organism taxon specialization➞subject](organism_taxon_to_organism_taxon_specialization_subject.md)

## Used by

 * [OrganismTaxonToOrganismTaxonAssociation](OrganismTaxonToOrganismTaxonAssociation.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Local names:** | | annotation subject (ga4gh) |
|  | | node with outgoing relationship (neo4j) |
| **Mappings:** | | rdf:subject |
| **Exact Mappings:** | | owl:annotatedSource |
|  | | OBAN:association_has_subject |

