
# Slot: pages


When a 2-tuple of page numbers are provided, they represent the start and end page of the publication within its parent publication context. For books, this may be set to the total number of pages of the book.

URI: [biolink:publication_pages](https://w3id.org/biolink/vocab/publication_pages)


## Domain and Range

[Publication](Publication.md) &#8594;  <sub>0..\*</sub> [String](types/String.md)

## Parents

 *  is_a: [pages](pages.md)

## Children


## Used by

 * [Article](Article.md)
 * [Book](Book.md)
 * [BookChapter](BookChapter.md)
 * [Publication](Publication.md)
 * [Serial](Serial.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Exact Mappings:** | | WIKIDATA_PROPERTY:P304 |

