
# Slot: subject


a sequence variant in which the allele state is associated in some way with the disease state

URI: [biolink:variant_to_disease_association_subject](https://w3id.org/biolink/vocab/variant_to_disease_association_subject)


## Domain and Range

[VariantToDiseaseAssociation](VariantToDiseaseAssociation.md) &#8594;  <sub>1..1</sub> [NamedThing](NamedThing.md)

## Parents

 *  is_a: [subject](subject.md)

## Children

 *  [variant as a model of disease association➞subject](variant_as_a_model_of_disease_association_subject.md)

## Used by

 * [VariantToDiseaseAssociation](VariantToDiseaseAssociation.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Local names:** | | annotation subject (ga4gh) |
|  | | node with outgoing relationship (neo4j) |
| **Mappings:** | | rdf:subject |
| **Examples:** | | Example(value='ClinVar:52241', description='NM_000059.3(BRCA2):c.7007G>C (p.Arg2336Pro)') |
| **Exact Mappings:** | | owl:annotatedSource |
|  | | OBAN:association_has_subject |

