
# Slot: mappings


A list of terms from different schemas or terminology systems that have comparable meaning. These may include terms that are precisely equivalent, broader or narrower in meaning, or otherwise semantically related but not equivalent from a strict ontological perspective.

URI: [linkml:mappings](https://w3id.org/linkml/mappings)


## Domain and Range

None &#8594;  <sub>0..\*</sub> uriorcurie

## Parents


## Children

 *  broad mappings
 *  close mappings
 *  exact mappings
 *  narrow mappings
 *  related mappings

## Used by

 * class_definition
 * definition
 * [Element](Element.md)
 * enum_definition
 * schema_definition
 * slot_definition
 * subset_definition
 * type_definition

## Other properties

|  |  |  |
| --- | --- | --- |
| **Aliases:** | | xrefs |
|  | | identifiers |
|  | | alternate identifiers |
|  | | alternate ids |
| **Mappings:** | | skos:mappingRelation |

