
# Slot: subject


connects an association to the subject of the association. For example, in a gene-to-phenotype association, the gene is subject and phenotype is object.

URI: [biolink:genomic_sequence_localization_subject](https://w3id.org/biolink/vocab/genomic_sequence_localization_subject)


## Domain and Range

[GenomicSequenceLocalization](GenomicSequenceLocalization.md) &#8594;  <sub>1..1</sub> [GenomicEntity](GenomicEntity.md)

## Parents

 *  is_a: [subject](subject.md)

## Children


## Used by

 * [GenomicSequenceLocalization](GenomicSequenceLocalization.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Aliases:** | | sequence feature |
| **Local names:** | | annotation subject (ga4gh) |
|  | | node with outgoing relationship (neo4j) |
| **Mappings:** | | rdf:subject |
| **Exact Mappings:** | | owl:annotatedSource |
|  | | OBAN:association_has_subject |

