
# Slot: object


connects an association to the object of the association. For example, in a gene-to-phenotype association, the gene is subject and phenotype is object.

URI: [biolink:variant_to_gene_association_object](https://w3id.org/biolink/vocab/variant_to_gene_association_object)


## Domain and Range

[VariantToGeneAssociation](VariantToGeneAssociation.md) &#8594;  <sub>1..1</sub> [Gene](Gene.md)

## Parents

 *  is_a: [object](object.md)

## Children


## Used by

 * [VariantToGeneAssociation](VariantToGeneAssociation.md)
 * [VariantToGeneExpressionAssociation](VariantToGeneExpressionAssociation.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Local names:** | | descriptor (ga4gh) |
|  | | node with incoming relationship (neo4j) |
| **Mappings:** | | rdf:object |
| **Exact Mappings:** | | owl:annotatedTarget |
|  | | OBAN:association_has_object |

